Request Body
Other Employee Check Object fields.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POSTs a request when an employee check is created, updated, or deleted in the Zeal dashboard.
| attribute | type | description |
|---|---|---|
| test | boolean | Whether the employee check was created/updated/deleted in Test Mode |
| type | string | The operation that was applied to this employee check. create update delete |
| business_name | string | Business Name of Employer |
{
"test": true,
"type": "create",
"companyID": "df2a785b82cb4f46b765a8580e7e9c2f",
"business_name": "Test Company",
"employeeCheckID": "2edc78f8b8e14f6098e1b2687082d86c",
"employerCheckID": null,
"employeeID": "3a497f82e0c14b24a6a53eb451a0bb56",
"reportingPeriodID": "7a9e3a34b6f84f1d9f826a27f5cb34aa",
"status": "pending",
"is_salary": false,
"approval_required": false,
"approved": false,
"first_name": "Erlich",
"middle_initial": null,
"last_name": "Bachman",
"check_date": "2023-12-07T00:00:00Z",
"metadata": {},
"disbursement": {
"method": "direct_deposit",
"history": [],
"status": "pending"
},
"gross_pay": 40,
"net_pay": null,
"taxes": [],
"total_employer_taxes": null,
"total_employee_taxes": null,
"totals": {
"gross_earnings": null,
"gross_pay": null,
"net_pay": null,
"employer_taxes": null,
"employee_taxes": null,
"employee_deductions": null,
"employee_garnishments": null,
"employer_deductions": null,
"company_debit": null,
"company_cash_requirement": null
},
"shifts": [
{
"employeeID": "1234567890",
"shiftID": "123456789",
"employeeCheckID": "9827465739",
"status": "pending",
"first_name": "erlich",
"last_name": "bachman",
"metadata": {},
"wcc_code": null,
"workLocationID": 34567890,
"time": "2023-11-12T10:00:00",
"hourly": {
"hours": 2,
"wage": 20
}
}
],
"deductions": [],
"timestamp": "2024-01-21T21:29:42Z"
}